Subject: Re: bug report: cygwin lib can't recover after out of memory
From: "Larry Hall (RFK Partners, Inc)" <[email-masked]>
To: "Frank Seide" <[email-masked]>, <[email-masked]>
Cc: "'Zhe Feng'" <[email-masked]>
Date: Thu, 07 Feb 2002 09:44:43 -0500

At 09:54 PM 2/6/2002, Frank Seide wrote:
>Hi,
>
>I observed cygwin getting into a bad state after a
>memory-allocation failure, from which I only can
>recover by terminating all cygwin processes to unload
>the cygwin1.dll.
>
>I run a perl script that gradually allocates memory
>until the memory limit of 256 MB (default) is reached.
>Perl, as expected, terminates with "Out of Memory!"
>
>However, _after_ the script terminates,
>subsequently executed cygwin programs have a problem:
>
>  - a simple "ls" gives
>    Segmentation fault (core dumped)
>
>% ls -l
>... (works correctly)
>% ./test.pl                     <-- script to reach mem limit
>Out of memory!
>% ls -l
>Segmentation fault (core dumped)
>%
>
>  - trying to open another rxvt window (while the shell in which
>   the script terminated is still open) shows the msg
>     handle_exceptions: Exception: STATUS_ACCESS_VIOLATION
>
>To recover, I need to exit the shell in which the script
>terminated first, such that all cygwin processes are gone
>(and cygwin1.dll gets unloaded, I guess).
>
>Thanks,
>
>Frank
>
>Version info:
>
>  - This is perl, version 5.005_03 built for cygwin32
>  - WinNT Ver 5.0 build 2195 Service Pack 2
>  - Cygwin DLL version info:
>         dll major: 1003
>         dll minor: 2
>         dll epoch: 19

Does this problem exist with the latest Cygwin version as well?  If so,
how about with a recent snapshot?

Larry Hall                              [email-masked]
RFK Partners, Inc.                      http://www.rfk.com
838 Washington Street                   (508) 893-9779 - RFK Office
Holliston, MA 01746                     (508) 893-9889 - FAX

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/